
bin_PROGRAMS = kmailcvt
kmailcvt_SOURCES = kimportpagedlg.ui kimportpage.cpp kselfilterpagedlg.ui \
                   kselfilterpage.cpp filters.cpp filter_oe.cpp kmailcvt.cpp \
                   main.cpp filter_pmail.cpp filter_plain.cpp filter_outlook.cpp \
                   filter_mbox.cpp filter_evolution.cpp filter_mailapp.cpp \
                   filter_evolution_v2.cpp filter_opera.cpp filter_thunderbird.cpp \
                   filter_kmail_maildir.cpp filter_sylpheed.cpp filter_thebat.cpp \
                   filter_lnotes.cpp filter_kmail_archive.cpp
                
kmailcvt_LDADD   = $(LIB_TDEFILE)

EXTRA_DIST = main.cpp kmailcvt.cpp kimportpage.cpp kimportpage.h \
             kselfilterpage.cpp kselfilterpage.h kmailcvt.h \
             kmailcvt.desktop filter_oe.cpp filter_oe.h \
             filters.cpp filters.h \
             PAB_format.html sv9429424.gif \
             filter_pmail.cpp filter_pmail.h \
             filter_plain.cpp filter_plain.h \
             filter_mbox.cpp filter_mbox.h \
             filter_evolution.cpp filter_evolution.h \
             filter_mailapp.h filter_mailapp.cpp \
             filter_opera.h filter_opera.cpp \
             filter_evolution_v2.h filter_evolution_v2.cpp \
             filter_thunderbird.h filter_thunderbird.cpp \
             filter_kmail_maildir.h filter_kmail_maildir.cpp \
             filter_sylpheed.h filter_sylpheed.cpp \
             filter_thebat.h filter_thebat.cpp filter_lnotes.h filter_lnotes.cpp \
             filter_kmail_archive.cpp fitler_kmail_archive.h

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Utilities
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Utilities/kmailcvt.desktop

SUBDIRS = pics

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

kmailcvt_METASOURCES = AUTO

# the library search path. 
kmailcvt_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

KDE_ICON=AUTO

messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.cpp`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/kmailcvt.pot; \
	fi

